Bug 1288248 - The desktop entry file has Type= "Application" but no Exec line
The desktop entry file has Type= "Application" but no Exec line
Status: NEW
Product: Fedora
Classification: Fedora
Component: sir (Show other bugs)
26
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 18:08 EST by J. Randall Owens
Modified: 2017-11-21 07:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. Randall Owens 2015-12-03 18:08:29 EST
Description of problem:
During any dnf operation that runs kbuildsycoca4, it produces the errors
'kbuildsycoca4($PID)/kdecore (services) KServicePrivate::init: The desktop entry file  "/usr/share/applications/sir_service.desktop"  has Type= "Application"  but no Exec line
'kbuildsycoca4($PID) KBuildServiceFactory::createEntry: Invalid Service :  "/usr/share/applications/sir_service.desktop"'

Version-Release number of selected component (if applicable):
sir-2.5.1-10.fc23.x86_64

How reproducible:
about every other time `dnf upgrade` updates any packages

Steps to Reproduce:
1. dnf install sir

Actual results:
The aforementioned error lines.

Expected results:
Empty STDERR

Additional info:
I don't know much about the desktop entry format, but I suppose the logical choices would be either to add an Exec line with a path to the executable in the [Desktop Entry] section, or remove or change the Type=Application, maybe move it to the [Desktop Action openWithSir] section? Is there a parent type which could have the application as its child?
Comment 1 Fedora End Of Life 2016-11-24 08:57:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 J. Randall Owens 2016-12-18 13:07:59 EST
The problem persists in sir-2.5.1-11.fc24, which is still the newest release in F25.
Comment 3 Fedora End Of Life 2017-11-16 14:10:55 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 J. Randall Owens 2017-11-21 07:07:37 EST
Problem persists in sir-2.5.1-12.fc26.x86_64, at least. Since sir-2.5.1-15.fc27 just has rebuild in its changelog, I suspect it's still in F27 as well.

Note You need to log in before you can comment on or make changes to this bug.